using System;
using System.Linq;
namespace ConsoleApp6
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] A = new double[n];
            double[] P = new double[n];
            double[] Z = new double[n];
            for(int i = 0; i < n; i++)
            {
                var linija = Console.ReadLine().Split();
                A[i] = double.Parse(linija[0]);
                P[i] = double.Parse(linija[1]);
            }
            double p;
            for(int i = 0; i < n; i++)
            {
                double z = 0;
                p = P[i];
                for(int j = 0; j < n; j++)
                {
                    if (P[j] >= p)
                        z += (A[j] * p / 100);
                }
                Z[i] = z;
            }
            Console.WriteLine(Z.Max());
        }
    }
}